# Share work chat conversation

Source: <https://everruns.com/docs/api/operations/share_work_chat_conversation/>

[Docs](https://everruns.com/docs/)/[API reference](https://everruns.com/docs/api/)/[Agent API](https://everruns.com/docs/api/groups/agent-api/)/Share work chat conversation

# Share work chat conversation

Preview

Call one agent: start sessions, send messages, stream results and respond to questions or tool approvals.

Public APIEverruns Cloud and self-hosted Platform

POST`/v1/channels/{channel_id}/sessions/{session_id}/share`

## Authorizations

* **[AgentCredential](https://everruns.com/docs/api/#agentcredential)**

## Parameters

### Path Parameters

**channel_id**

required

string

**session_id**

required

string

## Responses

200Revocable link token

### 200

Revocable link token

404Unavailable

### 404

Unavailable

FetchcURL

Request

```js
const url = 'https://app.everruns.com/api/v1/channels/example/sessions/example/share';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

Request

```sh
curl --request POST \
  --url https://app.everruns.com/api/v1/channels/example/sessions/example/share \
  --header 'Authorization: Bearer <token>'
```

Additional language examples require JavaScript. The default request example is available above.

200404

200 · Revocable link token

No response body example is declared for this status.

404 · Unavailable

No response body example is declared for this status.

[Safe retries](https://everruns.com/docs/features/agent-api/#safe-retries) · [Streaming & reconnection](https://everruns.com/docs/features/agent-api/#streaming)

## Matching endpoints